package com.service;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.service.IService;
import com.utils.PageUtils;
import com.entity.FafangpaizhaoEntity;
import java.util.List;
import java.util.Map;
import com.entity.vo.FafangpaizhaoVO;
import org.apache.ibatis.annotations.Param;
import com.entity.view.FafangpaizhaoView;


/**
 * 发放牌照
 *
 * @author 
 * @email 
 * @date 2030-03-20 23:07:15
 */
public interface FafangpaizhaoService extends IService<FafangpaizhaoEntity> {

    PageUtils queryPage(Map<String, Object> params);
    
   	List<FafangpaizhaoVO> selectListVO(Wrapper<FafangpaizhaoEntity> wrapper);
   	
   	FafangpaizhaoVO selectVO(@Param("ew") Wrapper<FafangpaizhaoEntity> wrapper);
   	
   	List<FafangpaizhaoView> selectListView(Wrapper<FafangpaizhaoEntity> wrapper);
   	
   	FafangpaizhaoView selectView(@Param("ew") Wrapper<FafangpaizhaoEntity> wrapper);
   	
   	PageUtils queryPage(Map<String, Object> params,Wrapper<FafangpaizhaoEntity> wrapper);

   	

}

